# $Revision: 1.14 $, $Date: 2002/09/05 16:04:50 $
Summary:	Application access to USB devices
Summary(pl):	Dostp z poziomu aplikacji do urzdze USB
Summary(pt_BR):	libusb - Biblioteca para acesso a devices USB
Summary(es):	libusb - Biblioteca USB
Name:		libusb
Version:	0.1.6a
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://download.sourceforge.net/libusb/%{name}-%{version}.tar.gz
URL:		http://libusb.sourceforge.net/
Patch0:		%{name}-am15.patch
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libusb0.1

%description
Provides a library for application access to USB devices.

%description -l pl
Biblioteka umoliwiajca dostp do urzdze USB z poziomu aplikacji.

%description -l pt_BR
Biblioteca para acesso em devices USB.

%description -l es
Biblioteca de uso en devices USB.

%package devel
Summary:	%{name} library headers
Summary(pl):	Pliki nagwkowe biblioteki %{name}
Summary(pt_BR):	Arquivos de desenvolvimento da libusb
Summary(es):	Archivos de desarrollo de libusb
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	libusb0.1-devel

%description devel
This package contains include files and other resources you can use to
incorporate %{name} into applications.

%description devel -l pl
Pliki nagwkowe oraz dokumentacja pozwalajca na dodawanie obsugi
USB w swoich programach.

%description devel -l pt_BR
Bibliotecas de desenvolvimento para libusb.

%description devel -l es
Bibliotecas de desarrolo para linusb.

%package static
Summary:	libusb static libraries
Summary(pl):	Statyczne biblioteki do obsugi USB
Summary(pt_BR):	Arquivos de desenvolvimento da libusb - biblioteca esttica
Summary(es):	Archivos de desarrollo de libusb - estatico
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
This is package with static libusb libraries.

%description static -l pl
Statyczne biblioteki libusb.

%description static -l pt_BR
Bibliotecas de desenvolvimento para libusb - esttico.

%description static -l es
Bibliotecas de desarrolo para linusb - estatico.

%prep
%setup  -q
#%patch0 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README AUTHORS
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/html/*
%attr(755,root,root) %{_bindir}/libusb-config
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libusb.spec,v $
Revision 1.14  2002/09/05 16:04:50  misiek
- updated to 0.1.6a

Revision 1.13  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.12  2002/05/21 23:14:01  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.10  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/02/14 03:43:34  kloczek
- updated to 0.1.5 (bugfix release),
- added am15 patch.

Revision 1.8  2002/01/18 02:13:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/12/08 16:46:50  kloczek
- reelase 4.

Revision 1.6  2001/12/08 11:57:33  blues
- merge some translations from CNV
- license is LGPL

Revision 1.5  2001/12/07 19:39:48  qboosh
- adapterized, cosmetics, fixed -devel en description
- release 3

Revision 1.4  2001/10/06 13:23:43  filon
- changed requires from %{name} to %{name}-devel in static
- release 2

Revision 1.3  2001/08/10 23:52:04  kloczek
- updated to 0.1.3b,
- removed outdated comment patch,
- new Source url.

Revision 1.2  2001/08/06 08:10:19  kloczek
- updated Source url.

Revision 1.1  2001/08/05 20:51:38  misiek
- initial pld release
